Page MenuHomePhabricator

ESEAP Conference 2018
Closed, ResolvedPublic

Description

Project Limited-user, only for ESEAP Conference 2018's committee

Project name: #ESEAP2018
Project type: Private
Project description: This project is for committee of East, Southeast Asia & Pasific Wikimedia Conference 2018. It's limited only for the core committee to help them to track their project progress.

Event Timeline

Beeyan created this task.Apr 5 2017, 5:42 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 5 2017, 5:42 AM
Beeyan assigned this task to Aklapper.Apr 5 2017, 5:43 AM

Hello, we would like to use Phabricator but for limited user only.

Salam,

Hi Beeyan, please see https://www.mediawiki.org/wiki/Phabricator/Creating_and_renaming_projects#Creating_new_projects for required information (description, link to more information). By default we don't set up "for limited users only" so you'll also have to explain what you'd like to achieve by restrictions. Thanks!

Beeyan added a comment.Apr 7 2017, 5:27 AM

Project name: #ESEAP2018
Project type: Private
Project description: This project is for committee of East, Southeast Asia & Pasific Wikimedia Conference 2018. It's limited only for the core committee to help them to track their project progress.

AddisWang updated the task description. (Show Details)Apr 7 2017, 7:33 AM
AddisWang added a subscriber: fantasticfears.

Could you please link to a wikipage or any further information about this conference? I cannot find anything about it.

Project type: Private

This does not exist. Please check the link I posted in T162229#3156691. Also see my comment in T162229#3156691: By default we don't set up projects "for limited users only" or "private" so you'll also have to explain what you'd like to achieve by such access restrictions - most conference organizers I've seen used a public Phabricator project (but maybe those were not "committees"). Thanks! :)

I believe they are looking for a public project with a private space to archive their goals.

Hello here is the page, we're still building the project in internal core team. Thanks

https://meta.wikimedia.org/wiki/ESEAP_Conference_2018

Aklapper removed Aklapper as the assignee of this task.Apr 18 2017, 9:43 PM

@Beeyan: Is it okay to create the project as a public project and have all tasks visible for everybody?
If not, please answer my questions above, otherwise we cannot proceed.

Beeyan assigned this task to Aklapper.Apr 21 2017, 7:29 AM

Hello,

We need the private space, because some task will be specific for the core team, some of them can be visible for everybody. If that's not possible, we'll choose a private project

Aklapper removed Aklapper as the assignee of this task.Apr 21 2017, 8:27 AM

@Beeyan: Please give one or two examples which kind/types of tasks have to be completely private. I'm still missing a good reason here...
Also, "private projects" do not exist in Phabricator, however Spaces exist. Please see https://www.mediawiki.org/wiki/Phabricator/Creating_and_renaming_projects#Requesting_a_Space

Please do not reassign this task to me. Thanks.

For example, we share a private google docs about finalizing proposal and assign to someone in our project before we published to meta. That's should be assign privately. If that's not possible. Please ignore this propose. Thank you

A "private google doc" would already be private by setting access restrictions for the document on docs.google.com - that sounds unrelated to access to Phabricator tasks. I'd expect people to comment in the doc itself (so those comments are also access restricted)?

Again, it is possible to have access restricted tasks in Phabricator. But there have to be convincing reasons to allow this, and I'm asking for convincing reasons. :)

Actually, we need a project management platform, so every people in the
team can assign tasks to other team member. There's no other reason. So, if
we could have one in private space, that would be great. So, if it can't
possible because not really convincing. I'll try to other platform. Thank
you :)

That is exactly what Phabricator offers. Other Wikimedia conference organizers have also used (public) projects in Phabricator to organize conferences.
We are very happy to create a project for you. My question was only why the project should be private, I did not question anything else.

Aklapper closed this task as Resolved.Apr 21 2017, 6:18 PM
Aklapper claimed this task.

Requested public project ESEAP-2018 has been created: https://phabricator.wikimedia.org/project/view/2722/

Please encourage interested people to visit the project and to join the project as members, and to watch the project in order to receive updates!

Recommended practices for project and workboard management in Phabricator are available.

Feel free to bring up any questions you might have about Phabricator or about best ways to manage projects in Phabricator.

I am still not sure if this is sufficient for your needs. So if + when you need some tasks to be completely non-public, please request an additional so-called "Space" (which is used in addition to the public project). See the documentation for more information about Spaces. Again, technically speaking, "private projects" do not exist in Phabricator, but you could have a "Space" if it is really needed, but we prefer to have things in public, if there are no good reasons to have things in private.

@Beeyan: Are there plans to use this project for planning the conference in May, or anything we can help with? :)

According to https://meta.wikimedia.org/wiki/ESEAP_Conference_2018 the conference took place last weekend.
According to https://phabricator.wikimedia.org/maniphest/query/5ryMTrIeZCe0/#R the Phab tag ESEAP-2018 was not used, so I have archived it.

Thank you Aklapper.

We have tried several places to work together, it seems like the facebook
messenger, WhatsApp, and emails are the things we heavily rely on. Lesson
learned.

No problem at all, whatever worked/works for you! :)

Sorry for the late reply @Aklapper, my phabricator account is weird, I don't get any notification e-mail before. Per @Shangkuanlc, we relied a lot on another channel for better communication. Thank you for your help!

Yeah, I know. We tried a lot of different platforms but end up not in the
Phabricator.